
#ifndef CONTROLLER_H
#define CONTROLLER_H

/*
 * interface to device
 *
 * the second bit (mask 0x2U) is directly controlling the battery-low warning
 * LED; the LED is on if and only if the bit is set
 */
extern unsigned int cmd_port;



/*
 * interface to controller (called from device)
 *
 */

typedef enum { INIT, STEP, BATT_IN, BATT_OUT } Event;

// -1: event not consumed
//  0: event consumed
//
extern int takeEvent( Event e );

#endif
